﻿Imports System.Collections.Generic

''' <summary>
'''     A recipe
''' </summary>
Public Class RecipeModel
    Inherits BaseModel(Of RecipeModel)
    ''' <summary>
    '''     Name of the recipe
    ''' </summary>
    Public Property Name() As String

    ''' <summary>
    '''     Category the recipe belongs to
    ''' </summary>
    Public Property Category() As CategoryModel

    ''' <summary>
    '''     Ingredients in the recipe
    ''' </summary>
    Public Property Ingredients() As List(Of IngredientModel)

    ''' <summary>
    '''     Instructions to put the recipe together
    ''' </summary>
    Public Property Instructions() As String
End Class