﻿Imports System.Collections.Generic
Imports System.Collections.ObjectModel
Imports SterlingRecipes.Models
Imports UltraLight.MVVM.Contracts

Namespace Contracts
    ''' <summary>
    '''     Contract for the main view model
    ''' </summary>
    Public Interface IMainViewModel
        Inherits IViewModel
        ''' <summary>
        ''' A collection for ItemViewModel objects.
        ''' </summary>
        ReadOnly Property Categories() As ObservableCollection(Of CategoryModel)

        ReadOnly Property CurrentCategory() As CategoryModel

        ReadOnly Property Recipes() As IEnumerable(Of RecipeModel)

        ReadOnly Property CurrentRecipe() As RecipeModel

        ReadOnly Property EditRecipe() As IActionCommand(Of Object)

        ReadOnly Property AddRecipe() As IActionCommand(Of Object)

        ReadOnly Property DeleteRecipe() As IActionCommand(Of Object)
    End Interface
End Namespace