﻿Imports System.Windows.Controls
Imports SterlingRecipes.Contracts
Imports UltraLight.MVVM

Namespace Views
    Partial Public Class FoodSearch
        ''' <summary>
        '''     Set it up
        ''' </summary>
        Public Sub New()
            InitializeComponent()
            Me.BindToViewModel(Of IIngredientViewModel)(LayoutRoot)
        End Sub

        ''' <summary>
        '''     This allows the updates to be sent as the user is typing to auto-update the
        '''     list
        ''' </summary>
        ''' <param name="sender"></param>
        ''' <param name="e"></param>
        Private Sub _TextBoxTextChanged(ByVal sender As Object, ByVal e As TextChangedEventArgs)
            Dim tb = TryCast(sender, TextBox)
            If tb Is Nothing Then
                Return
            End If
            Dim binding = tb.GetBindingExpression(TextBox.TextProperty)
            If binding Is Nothing Then
                Return
            End If
            binding.UpdateSource()
        End Sub
    End Class
End Namespace
