﻿Namespace Contracts
    ''' <summary>
    '''     Event sink for published events - implement this to mark a type as a subscriber
    ''' </summary>
    ''' <typeparam name="T">The type of the event</typeparam>
    Public Interface IEventSink(Of T)
        Sub HandleEvent(ByVal publishedEvent As T)
    End Interface
End Namespace