﻿Imports System.Windows
Imports UltraLight.MVVM.Contracts

''' <summary>
'''     Implementation of dialog using the built-in MessageBox
''' </summary>
Public Class Dialog
    Implements IDialog
    Public Function ShowMessage(ByVal title As String, ByVal message As String, ByVal allowCancel As Boolean) As Boolean Implements IDialog.ShowMessage
        Return MessageBox.Show(message, title, If(allowCancel, MessageBoxButton.OKCancel, MessageBoxButton.OK)) = MessageBoxResult.OK
    End Function
End Class