﻿Imports System.Collections.Generic
Imports SterlingRecipes.Models
Imports UltraLight.MVVM.Contracts

Namespace Contracts
    ''' <summary>
    '''     Contract for ingredients
    ''' </summary>
    Public Interface IIngredientViewModel
        Inherits IViewModel
        ReadOnly Property FoodText() As String

        ReadOnly Property Title() As String

        ReadOnly Property Units() As String

        Sub AddIngredient()

        Sub EditIngredient(ByVal ingredient As IngredientModel)

        ReadOnly Property Food() As IEnumerable(Of FoodModel)

        ReadOnly Property SelectedFood() As FoodModel

        ReadOnly Property Measures() As IEnumerable(Of MeasureModel)

        ReadOnly Property SelectedMeasure() As MeasureModel

        ReadOnly Property SaveIngredient() As IActionCommand(Of Object)

        ReadOnly Property Cancel() As IActionCommand(Of Object)

        ReadOnly Property AddFood() As IActionCommand(Of Object)

        ReadOnly Property FoodSearch() As IActionCommand(Of Object)
    End Interface
End Namespace