﻿Imports System.Windows.Controls
Imports SterlingRecipes.Contracts
Imports UltraLight.MVVM

Namespace Views
    Partial Public Class TextEditor
        Public Sub New()
            InitializeComponent()
            Me.BindToViewModel(Of ITextEditorViewModel)(LayoutRoot)
        End Sub

        Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
            LayoutRoot.ActivatePage(Of ITextEditorViewModel)()
        End Sub

        Protected Overrides Sub OnNavigatedFrom(ByVal e As System.Windows.Navigation.NavigationEventArgs)
            Me.DeactivatePage(Of ITextEditorViewModel)()
        End Sub

        Private Sub TextBox_TextChanged(ByVal sender As Object, ByVal e As TextChangedEventArgs)
            CType(sender, TextBox).GetBindingExpression(TextBox.TextProperty).UpdateSource()
        End Sub
    End Class
End Namespace