﻿Namespace Contracts
    ''' <summary>
    '''     Interface for a view model that understands how to save/restore state for tombstone events
    ''' </summary>
    Public Interface ITombstoneFriendly
        ''' <summary>
        '''     Tombstone
        ''' </summary>
        Sub Deactivate()

        ''' <summary>
        '''     Returned from tombstone
        ''' </summary>
        Sub Activate()
    End Interface
End Namespace